#!/usr/bin/env python

import os

from setuptools import setup

# For tests to be run against mock utils not mod_python one
os.environ['APACHE_OPENID_MOCK'] = 'yes'

setup(
    name="launchpad-lists-handler",
    version="1.0.1",
    author="Canonical ISD hackers",
    author_email="canonical-isd@lists.launchpad.net",
    url="http://launchpad.net/launchpad-lists-handler",
    description="Launchpad lists access control module for Apache",
    long_description="This is a library that you can use with Apache web server and mod_python to enable public/private access control on Launchpad list archives.",
    license="GPLv3",
    packages=['launchpad_lists_handler'],
    install_requires=[
        "python-openid",
        "apache_openid",
    ],
    tests_require=[
        "mock",
    ],
    test_suite='launchpad_lists_handler.tests'
)
